gnutls_crypto_register_digest(3)

NAME
gnutls_crypto_register_digest - API function

SYNOPSIS
#include <gnutls/crypto.h>

int gnutls_crypto_register_digest(gnutls_digest_algorithm_t algorithm, int priority, gnutls_digest_init_func init, gnutls_digest_hash_func hash, gnutls_digest_output_func output, gnutls_digest_deinit_func deinit, gnutls_digest_fast_func hash_fast);

ARGUMENTS

gnutls_digest_algorithm_t algorithm
    is the gnutls digest identifier

int priority
    is the priority of the algorithm

gnutls_digest_init_func init
    A function which initializes the digest

gnutls_digest_hash_func hash
    Perform the hash operation

gnutls_digest_output_func output
    Provide the output of the digest

gnutls_digest_deinit_func deinit
    A function which deinitializes the digest

gnutls_digest_fast_func hash_fast
    Perform the digest operation in one go

DESCRIPTION
This function will register a digest algorithm to be used by gnutls. Any algorithm registered will override the included algorithms and by convention kernel implemented algorithms have priority of 90 and CPU-assisted of 80. The algorithm with the lowest priority will be used by gnutls.

RETURNS
GNUTLS_E_SUCCESS on success, otherwise a negative error code.

SINCE
3.4.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/